Withdrawal (Webhook-Ramp)

This notification is triggered when the status of Withdrawal order is updated.

U-Ramp API Publisher Disclaimer

Event metadata

  • name: WITHDRAW
  • types:
    • ramp.withdraw.pending – withdrawal processing
    • ramp.withdraw.success – withdrawal successful
    • ramp.withdraw.failed – withdrawal failed

Request body


FieldTypeDescription
event_idstringUnique event ID
event_namestringEvent name
event_typestringEvent type
source_idstringOrder ID
versionstringAPI version
dataobjectWithdraw details object


Notification example

{
  "version": "V1.6.0",
  "event_name": "WITHDRAW",
  "event_type": "ramp.withdraw.pending",
  "event_id": "6397e43f-a700-4f64-a950-a14541276dbc",
  "source_id": "72c1bfaf-30a5-418a-a1ef-97b12b54d984",
  "data": {
    "account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
    "account_name": "UQPAY PTE LTD",
    "actual_amount": "5",
    "amount": "10",
    "complete_time": "",
    "create_time": "2026-03-12 17:21:28 +0800 CST",
    "currency": "USDT",
    "direct_id": "0",
    "network": "ETH",
    "network_fee": "5",
    "order_id": "72c1bfaf-30a5-418a-a1ef-97b12b54d984",
    "order_status": "Pending",
    "processing_fee": "0",
    "reason": "test",
    "short_order_id": "WD260312-IKXH40SV",
    "transaction_type": "Withdraw",
    "txid": "",
    "withdraw_address": "0x01F67ad327647e27ecfCE22464416021fBD3B6e8"
  }
}